> ## Documentation Index
> Fetch the complete documentation index at: https://docs.persistence.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List campaign conversations

> Page through conversations produced by a campaign.



## OpenAPI

````yaml api-reference/campaigns/events-openapi.json GET /v1/calls/campaigns/{id}/events
openapi: 3.0.3
info:
  title: Persistence Campaign Conversations API
  version: '1.0'
servers:
  - url: https://api.persistence.dev
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /v1/calls/campaigns/{id}/events:
    get:
      summary: List campaign conversations
      description: List conversation records associated with a campaign.
      operationId: listCampaignConversations
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          schema:
            type: integer
        - name: perPage
          in: query
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversationListEnvelope'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    ConversationListEnvelope:
      type: object
      properties:
        success:
          type: boolean
        data:
          $ref: '#/components/schemas/ConversationList'
    ConversationList:
      type: object
      properties:
        page:
          type: integer
        perPage:
          type: integer
        totalCount:
          type: integer
          format: int64
        items:
          type: array
          items:
            $ref: '#/components/schemas/CampaignConversation'
    Error:
      type: object
      properties:
        code:
          type: string
        error:
          type: string
    CampaignConversation:
      type: object
      properties:
        conversationId:
          type: string
        campaignId:
          type: string
        status:
          type: string
        endResult:
          type: string
        duration:
          type: integer
        latencyP95:
          type: integer
          nullable: true
        channel:
          type: string
        from:
          type: string
        to:
          type: string
        startedAt:
          type: string
          format: date-time
        endedAt:
          type: string
          format: date-time
          nullable: true
        agentId:
          type: string
        transcripts:
          type: array
          items:
            $ref: '#/components/schemas/TranscriptEntry'
    TranscriptEntry:
      type: object
      properties:
        speaker:
          type: string
        text:
          type: string
        turnAt:
          type: string
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````